> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/47.-abfrage-zonesmaps-abrufen.md).

# 47. Abfrage: "ZonesMaps" abrufen

Abfrage zum Abrufen von Benutzer "ZonesMaps". Um Paginierungslogik zu implementieren, verwenden Sie den Abfrageparameter `Seitengröße`. Der Filter funktioniert wie eine UND-Bedingung, z. B. ist es möglich zu filtern nach `farmUuid`, `fieldUuid`, `vectorAnalysisMapUuid`, `Labels`, `Zweck`, `Typ`, und `nurMitRaten` in einer Abfrage oder nur eine Filterbedingung zu verwenden oder keine Bedingung zu verwenden.&#x20;

Einschränkungen: Filtern nach `Zweck`, `Typ`, und `nurMitRaten` funktioniert nur in Verbindung mit `fieldUuid`. Es ist erlaubt, Zonenkarten zu suchen nach `vectorAnalysisMapUuid` einzelnes Attribut.&#x20;

Es gibt `lastEvaluatedKey` und `Gesamtanzahl`  in der Antwort. Das `lastEvaluatedKey` bezieht sich auf den zuletzt verarbeiteten Datensatz, der den Filterbedingungen entspricht. Das `Gesamtanzahl` - ist die Gesamtanzahl der Datensätze, die den Filterbedingungen entsprechen.

## &#x20;Vorlage

{% code overflow="wrap" lineNumbers="true" %}

```graphql
Abfrage FilterZonesMapsBeispiel {
  getZonesMaps(
    filter: {
      seitengröße: 10
      fieldUuid: "<placeholder_of_field_uuid>"
      farmUuid: "<placeholder_of_farm_uuid>"
      zweck: AUSSÄEN
      typ: SATELLIT
      etiketten: ["id=feld"]
      nurMitRaten: true
      vectorAnalysisMapUuid: "<platzhalter_für_vectoranalysismap_uuid>"
    }
) {
    zonesMaps {
      uuid
      name
      zonesMapGeojson(einheit: ACRES)
      zonesMapUrl
    }
    Gesamtanzahl
    lastEvaluatedKey {
      PartitionKey
      SortKey
      TagString
    }
  }
}
```

{% endcode %}

## Anfordern

```graphql
Abfrage FilterZonesMapsBeispiel {
  getZonesMaps(
    filter: {
      seitengröße: 3
      feldUuid: "a716fd04-4f78-4ce8-b712-ffb88bd2acdd"
      zweck: ALLGEMEIN
    }
) {
    zonesMaps {
      uuid
      name
      zonesMapUrl
    }
    lastEvaluatedKey {
      PartitionKey
      SortKey
      TagString
    }
  }
}
```

## Antwort

### Metadaten

Die Antwort enthält das untenstehende JSON.&#x20;

```json
{
  "data": {
    "getZonesMaps": {
      "zonesMaps": [
        {
          "uuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
          "name": "GP_Auto_Nitrogen_Use_Efficiency_GP Value",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=yield_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee"
        },
        {
          "uuid": "ec8cd4db-efe9-40a3-b616-7169bcde9be9",
          "name": "7 Jahre 2016-2023",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ec8cd4db-efe9-40a3-b616-7169bcde9be9"
        },
        {
          "uuid": "eb4ddd50-ff38-4467-b8e0-cce26be699c8",
          "name": "VR Aussaat",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=multilayers_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:eb4ddd50-ff38-4467-b8e0-cce26be699c8"
        }
      ],
      "lastEvaluatedKey": {
        "PartitionKey": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd",
        "SortKey": "eb4ddd50-ff38-4467-b8e0-cce26be699c8",
        "TagString": null
      }
    }
  }
}
```

### Zonenstatistiken und Geometrien

Details zu Zonenstatistiken und Geometrien befinden sich in `zonesMapUrl` .&#x20;

Die Stichprobe der Statistiken von `properties` ist unten.

```json
"properties": {
  "mapUuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
  "zone": 1,
  "attributes": {
    "avg": 70.427,
    "max": 103.0,
    "min": 56.0,
    "std": 11.456,
    "sum": 30847.0,
    "area": 4000.0073042009,
    "index": "VALUE",
    "median": 66.0
  },
  "createdDate": "2023-10-12T22:09:26.447Z",
  "updatedDate": "2023-10-12T22:09:26.447Z",
  "minZone": 1,
  "avgZone": 3,
  "maxZone": 5,
  "sqm": 4000.01
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/47.-abfrage-zonesmaps-abrufen.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
